﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Pickup_Immune : MonoBehaviour {

	GameObject player;
	PlayerController playerControllerScript;
	CollisionDetector _cD;
	public bool Activated = false;

	void OnTriggerEnter(Collider other) {

		player = other.gameObject;

		if (!Activated) {
			print ("HIT");
			ImmunePickup ();
			Activated = true;
			this.gameObject.GetComponent<MeshRenderer> ().enabled = false;
		}

	}


	public void ImmunePickup(){

		//player = GameObject.Find("Player(Clone)");
		playerControllerScript = player.GetComponent<PlayerController>();
		_cD = player.GetComponent<CollisionDetector>();
		StartCoroutine(ImmuneTimer());

	}


	IEnumerator ImmuneTimer()
	{
		_cD.isImmune = true;
		yield return new WaitForSeconds(5);
		print ("Waited");
		_cD.isImmune = false;
		Destroy(this.gameObject);

	}

	void Start () {
		
	}

	void Update () {

	}
}
